package kr.co.uplus.ez.api.custMgt.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import kr.co.uplus.ez.common.data.ApiResponseCode;
import kr.co.uplus.ez.common.data.ResponseMessage;
import lombok.Data;

@SuppressWarnings("serial")
@Data
public class CarryOverListResDto extends ResponseMessage implements Serializable{

	@ApiModelProperty(example = "데이터")
	private CarryOverListRes data;

	public CarryOverListResDto() {
		this.retCode = ApiResponseCode.SUCCESS.getResultCode();
		this.retMsg = ApiResponseCode.SUCCESS.getResultMsg();
	}

	public CarryOverListResDto(ApiResponseCode returnStr) {
		this.retCode = returnStr.getResultCode();
		this.retMsg = returnStr.getResultMsg();
	}

	public CarryOverListResDto(ApiResponseCode returnStr, CarryOverListRes data) {
		this.retCode = returnStr.getResultCode();
		this.retMsg = returnStr.getResultMsg();
		this.data = data;
	}
}
